Subject: bug#16479: 24.3.50; daemon freeze with tty menus

From: Stefan Monnier <[email-masked]>
Date: Mon, 20 Jan 2014 15:28:42 -0500

>> Whatever we do, we should do it whether or not a tty menu is displayed.
>> Switching frame inside a process filter is nasty but allowed.  So:
>> - server.el should probably only change the selected frame temporarily and
>> revert it before returning from the process filter.
> But I think server.el does this on purpose: if it didn't switch to the
> new frame, you couldn't start typing into it after invoking
> emacsclient, even when there's no menu displayed.  Wouldn't that be
> confusing?

I'm not sure it's the case.  The reason is that you're talking about
a change of focus whereas the code changed the selected frame.  The two
are related but the relation is very murky.

> Does the fact that you type into one frame and get response in another
> count as "a bit strangely"?

Yes.

        Stefan